# Link

* category: UI
* chinese: 链接
* type: UI 组件

---

## 设计思路

Link 在 Native 端是对 navigator 模块的封装，在 web 端使用 a 标签完成适配。

**注意** Link 在端内的跳转表现因客户端而异（ navigator 模块本身在端内可以被任意覆写，不受基础 weex sdk 的约束 ），因此兼容性需要慎重测试。

本组件可以当一个容器组件使用，其子组件可以是 View、Text、Image ，也可以直接写文本节点。

```js
//跳转到 h5 页面
<Link href="some url">
    <Text>姓名:</Text> <Text>王小二</Text>
</Link>

// 如果客户端支持 mailto 协议, 也可以这样用
<Link href="mailto:someone@someone.com">发邮件</Link>
<Link href="sms:10086">发短信</Link>
<Link href="tel:10086">打电话</Link>
```

## API

### Link

| 属性   | 说明                                                     | 类型   | 默认值   |
| ------ | -------------------------------------------------------- | ------ | -------- |
| href   | 链接到下个页面的地址                                     | string | 无       |
| webUrl | 如果在 h5 降级时需要特别声明一个 url，可以使用此 API     | string |
| target | 是否需要新窗口打开（仅 h5 生效，端内默认就是新窗口打开） | string | '\_self' |

